{% verbatim %}
<script id="tpl-spinner" type="text/x-jsrender">
  <div class="text-center p-5"><div class="loader mb-1"></div> <em>{% endverbatim %}{{ 'loading' | trans }}{% verbatim %}</em></div>
</script>
<script id="tpl-empty" type="text/x-jsrender">
  <div class="text-center p-5"><em>{% endverbatim %}{{ 'pratica.no_application_found' | trans }}{% verbatim %}</em></div>
</script>
<script id="tpl-result" type="text/x-jsrender">
{{if meta.schema}}
<div class="modal fade" id="tableOptions" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-labelledby="tableOptionsLabel">
  <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
      <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">{% endverbatim %}{{ 'operatori.table_options' | trans }}{% verbatim %}</h5>
            <button type="button" class="btn btn-xs btn-primary pull-right" data-dismiss="modal" aria-label="Close">
              {% endverbatim %}{{ 'operatori.apply_and_close' | trans }}{% verbatim %}
            </button>
          </div>
          <div class="modal-body">
            <table class="table table-sm">
            <tr>
                <th aria-label="{% endverbatim %}{{ 'no_value' | trans }}{% verbatim %}"></th>
                <th>{% endverbatim %}{{ 'view' | trans }}{% verbatim %}
                    <div class="form-check">
                    <input class="form-check-input" type="checkbox" id="selectall-view" name="selectall-view">
                    <label class="form-check-label" for="selectall-view" onclick="toggle('view')">
                    </label>
                  </div>
                </th>
                <th>{% endverbatim %}{{ 'sum' | trans }}{% verbatim %}
                    <div class="form-check">
                    <input class="form-check-input" type="checkbox" id="selectall-sum" name="selectall-sum">
                    <label class="form-check-label" for="selectall-sum" onclick="toggle('sum')">
                    </label>
                  </div>
                  </th>
                <th>{% endverbatim %}{{ 'average' | trans }}{% verbatim %}
       <div class="form-check">
                    <input class="form-check-input" type="checkbox" id="selectall-avg" name="selectall-avg">
                    <label class="form-check-label" for="selectall-avg" onclick="toggle('avg')">
                    </label>
                  </div>
                  </th>
                <th>{% endverbatim %}{{ 'counts' | trans }}{% verbatim %}
       <div class="form-check">
                    <input class="form-check-input" type="checkbox" id="selectall-count" name="selectall-count">
                    <label class="form-check-label" for="selectall-count" onclick="toggle('count')">
                    </label>
                  </div></th>
            </tr>
            {{for meta.schema}}
              <tr>
                <td><strong>{{:label}}</strong></td>
                <td>
                  <div class="form-check">
                    <input class="form-check-input" type="checkbox" data-label="{{:label}}" data-show="{{:name}}" id="view-{{:name}}" data-function="view">
                    <label class="form-check-label" for="view-{{:name}}">
                    <svg class="icon icon-sm">
                     <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-password-visible"></use>
                    </svg>
                    </label>
                  </div>
                </td>
                <td>
                  {{if type == 'number' || true}}
                  <div class="form-check">
                    <input class="form-check-input" type="checkbox" data-label="{{:label}}" data-calculate="{{:name}}" data-function="sum" id="sum-{{:name}}">
                    <label class="form-check-label" for="sum-{{:name}}">
                    <svg class="icon icon-sm">
                     <use xlink:href="/bundles/app/images/sdc-sprite.svg#sum"></use>
                    </svg>
                    </label>
                  </div>
                  {{/if}}
                </td>
                <td>
                  {{if type == 'number'|| true}}
                  <div class="form-check">
                    <input class="form-check-input" type="checkbox" data-label="{{:label}}" data-calculate="{{:name}}" data-function="avg" id="avg-{{:name}}">
                    <label class="form-check-label" for="avg-{{:name}}">
                    <svg class="icon icon-sm">
                     <use xlink:href="/bundles/app/images/sdc-sprite.svg#avg"></use>
                    </svg>
                    </label>
                  </div>
                  {{/if}}
                </td>
                <td>
                  <div class="form-check">
                    <input class="form-check-input" type="checkbox" data-label="{{:label}}" data-calculate="{{:name}}" data-function="count" id="count-{{:name}}">
                    <label class="form-check-label" for="count-{{:name}}">
                    <svg class="icon icon-sm">
                     <use xlink:href="/bundles/app/images/sdc-sprite.svg#count"></use>
                    </svg>
                    </label>
                  </div>
                </td>
              </tr>
            {{/for}}
            </table>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-xs btn-primary pull-right" data-dismiss="modal" aria-label="Close">
              {% endverbatim %}{{ 'operatori.apply_and_close' | trans }}{% verbatim %}
            </button>
          </div>
      </div>
  </div>
</div>
{{/if}}
<div class="table-responsive mt-3">
<table class="table table-striped table-condensed table-hover" style="width: 100%;font-size:.87em">
  <thead>
    <tr>
      <th style="white-space:nowrap">
      <span class="sr-only">{{ 'operatori.table_options' | trans }}</span>
        {{if meta.schema}}
          <button type="button" class="btn btn-secondary btn-xs text-nowrap py-1 px-2" data-toggle="modal" data-target="#tableOptions">{% endverbatim %}{{ 'operatori.table_options' | trans }}{% verbatim %}</button>
        {{/if}}
        <a data-download="true" data-href="{% endverbatim %}{{ path('operatori_index_csv') }}{% verbatim %}"  href="#" data-toggle="tooltip" title="{% endverbatim %}{{ 'operatori.download_csv_data' | trans }}{% verbatim %}" type="button" class="btn btn-default btn-xs p-0">
          <svg class="icon icon-sm icon-primary">
           <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-download"></use>
          </svg>
        </a>
      </th>
      <th>{% endverbatim %}{{ 'operatori.login' | trans }}{% verbatim %}</th>
      <th>{% endverbatim %}{{ 'pratica.richiedente' | trans }}{% verbatim %}</th>
      <th>{% endverbatim %}{{ 'meetings.labels.fiscal_code' | trans }}{% verbatim %}</th>
      <th>
        <div class="d-flex">
          <div class="text-nowrap mr-1">{% endverbatim %}{{ 'pratica.date_in' | trans }}{% verbatim %} </div>
          <a aria-label="it-arrow-up" href="#" data-sort="submissionTime" data-order="asc"><svg class="icon icon-xs {{if meta.parameter.sort == 'submissionTime' && meta.parameter.order == 'asc'}}icon-black{{else}}icon-light{{/if}}"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-arrow-up"></use></svg></a>
          <a aria-label="it-arrow-down" href="#" data-sort="submissionTime" data-order="desc"><svg class="icon icon-xs {{if meta.parameter.sort == 'submissionTime' && meta.parameter.order == 'desc'}}icon-black{{else}}icon-light{{/if}}"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-arrow-down"></use></svg></a>
        </div>
      </th>
      <th>
        <div class="d-flex">
          <div class="text-nowrap mr-1">{% endverbatim %}{{ 'pratica.last_status_change' | trans }}{% verbatim %} </div>
          <a aria-label="it-arrow-up" href="#" data-sort="latestStatusChangeTimestamp" data-order="asc"><svg class="icon icon-xs {{if meta.parameter.sort == 'latestStatusChangeTimestamp' && meta.parameter.order == 'asc'}}icon-black{{else}}icon-light{{/if}}"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-arrow-up"></use></svg></a>
          <a aria-label="it-arrow-down" href="#" data-sort="latestStatusChangeTimestamp" data-order="desc"><svg class="icon icon-xs {{if meta.parameter.sort == 'latestStatusChangeTimestamp' && meta.parameter.order == 'desc'}}icon-black{{else}}icon-light{{/if}}"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-arrow-down"></use></svg></a>
        </div>
      </th>
      {{if !meta.parameter.stato}}
      <th>{% endverbatim %}{{ 'servizio.stato' | trans }}{% verbatim %}</th>
      {{/if}}
      <th>{% endverbatim %}{{ 'pratica.operatore' | trans }}{% verbatim %}</th>
      <th>{% endverbatim %}{{ 'pratica.user_group' | trans }}{% verbatim %}</th>
      {{if meta.parameter.servizio}}
        {{if meta.schema}}
          {{for meta.schema}}
          <th data-key="{{:name}}" style="display:none">{{:label}}</th>
          {{/for}}
        {{/if}}
      {{else}}
        <th>{% endverbatim %}{{ 'pratica.servizio' | trans }}{% verbatim %}</th>
      {{/if}}
    </tr>
  </thead>
  <tbody>
  {{for data ~metadata=meta}}
    <tr data-href="{{:~showUrl(id)}}">
      <td class="text-nowrap">
        {{if can_read}}
          <a class="text-decoration-none" href="{{:~showUrl(id)}}" class="text-nowrap mr-1" data-toggle="tooltip" title="{% endverbatim %}{{ 'operatori.vai_al_dettaglio'|trans }}{% verbatim %}">
            <svg class="icon icon-sm icon-primary"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-file{{if ~metadata.parameter.collate && (children_count > 0 || group )}}s{{/if}}"></use></svg>
          </a>
        {{/if}}
        <button data-toggle="tooltip" title="{% endverbatim %}{{ 'operatori.copy_application_helper' | trans }}{% verbatim %}" type="button" class="btn btn-default btn-xs copy p-0" data-copy="{{:id}}">
          <svg class="icon icon-sm icon-primary"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-info-circle"></use></svg>
        </button>
        {{if protocol_number}}
          <button type="button" data-toggle="tooltip" title="{% endverbatim %}{{ 'operatori.copy_protocol_helper' | trans }}{% verbatim %}" class="btn btn-default btn-xs copy p-0" data-copy="{{:protocol_number}}">
            <svg class="icon icon-sm icon-primary"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-key"></use></svg>
          </button>
        {{else is_protocollo_required}}
          <button type="button" data-toggle="tooltip" title="{% endverbatim %}{{ 'operatori.protocol_number_assigned' | trans }}{% verbatim %}" class="btn btn-default text-muted btn-xs p-0">
            <svg class="icon icon-sm icon-200"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-key"></use></svg>
          </button>
        {{/if}}
        {{if is_payment_required}}
            {{if payment_complete}}
             <span data-toggle="tooltip" title="{% endverbatim %}{{ 'operatori.payment_executed' | trans }}{% verbatim %}">
                <svg class="icon icon-sm icon-primary"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-check-circle"></use></svg>
            </span>
            {{else}}
             <span data-toggle="tooltip" title="{% endverbatim %}{{ 'operatori.waiting_payment_outcome' | trans }}{% verbatim %}">
                <svg class="icon icon-sm icon-200"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-clock"></use></svg>
            </span>
            {{/if}}
          </span>
        {{/if}}
       </td>
       <td>
        {{if idp == "spid" }}
          <span data-toggle="tooltip" title="{% endverbatim %}{{ 'operatori.citizen_identity_verified' | trans }}{% verbatim %}">
            <img alt="icon-spid" class="icon" src={% endverbatim %}"{{ asset('bundles/app/images/spid.svg') }}"{% verbatim %}>
          </span>
        {{/if}}
        {{if idp == "cps/cns" }}
          <span data-toggle="tooltip" title="{% endverbatim %}{{ 'operatori.citizen_identity_verified' | trans }}{% verbatim %}">
            <img alt="icon-cns" class="icon" src={% endverbatim %}"{{ asset('bundles/app/images/cns.png') }}"{% verbatim %}>
          </span>
        {{/if}}
      </td>
      <td style="white-space: nowrap">
        {{:user_name}}
        {{if idp != "anonymous"}}
          <span data-toggle="tooltip" title="{% endverbatim %}{{ 'operatori.citizen_identity_verified' | trans }}{% verbatim %}">
            <svg class="icon icon-xs icon-success"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-check-circle"></use></svg>
          </span>
        {{/if}}
      </td>
      <td style="white-space: nowrap">
        {{:codice_fiscale}}
        {{if idp != "anonymous"}}
          <span data-toggle="tooltip" title="{% endverbatim %}{{ 'operatori.citizen_identity_verified' | trans }}{% verbatim %}">
            <svg class="icon icon-xs icon-success"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-check-circle"></use></svg>
          </span>
        {{/if}}
      </td>
      <td class="text-nowrap" data-value="{{:submission_time}}">
        {{if submission_time}}
          {{:~formatDate(submission_time,"{% endverbatim %}L LTS{% verbatim %}")}}
        {{/if}}
      </td>
      <td class="text-nowrap" data-value="{{:latest_status_change_time}}">
        {{if latest_status_change_time }}
          {{:~formatDate(latest_status_change_time,"{% endverbatim %}L LTS{% verbatim %}")}}
        {{/if}}
      </td>
      {{if !~metadata.parameter.stato}}
      <td>{{:~formatStatus(status)}}</td>
      {{/if}}
      <td>{{if operator_name}}{{:operator_name}}{{/if}}</td>
      <td>{{if user_group_name}}{{:user_group_name}}{{/if}}</td>
      {{if ~metadata.parameter.servizio}}
        {{if ~metadata.schema}}
          {{props data}}
          <td data-key="{{>key}}" style="display:none">
           {{:~checkTypeData(prop)}}
          </td>
          {{/props}}
        {{/if}}
      {{else}}
        <td>{{:~formatService(service)}}</td>
      {{/if}}
    </tr>
  {{/for}}
  </tbody>
  {{if meta.parameter.servizio && meta.schema}}
  <tbody class="calc" style="border-bottom: 15px solid white;display: none" data-source="{% endverbatim %}{{ path('operatori_index_calculate') }}{% verbatim %}">
    <tr>
      <th colspan="{{if !meta.parameter.stato}}9{{else}}8{{/if}}" class="bg-white text-right border-0"></th>
      {{for meta.schema}}
        <td class="bg-100 p-1" data-key="{{:name}}" style="display: none;white-space: nowrap">
            <div class="calc calc-sum" style="display: none">
                <svg class="icon icon-xs mr-2">
                 <use xlink:href="/bundles/app/images/sdc-sprite.svg#sum"></use>
                </svg>
                <span data-calc="{{:name}}"></span>
            </div>
            <div class="calc calc-avg" style="display: none;white-space: nowrap">
                <svg class="icon icon-xs mr-2">
                 <use xlink:href="/bundles/app/images/sdc-sprite.svg#avg"></use>
                </svg>
                <span data-calc="{{:name}}"></span>
            </div>
            <div class="calc calc-count" style="display: none;white-space: nowrap">
                <svg class="icon icon-xs mr-2">
                 <use xlink:href="/bundles/app/images/sdc-sprite.svg#count"></use>
                </svg>
                <span data-calc="{{:name}}"></span>
            </div>
        </td>
      {{/for}}
    </tr>
  </tbody>
  {{/if}}
</table>
</div>
<div class="text-center">
{{if links.prev }}
  <a class="btn {{if !links.prev}}btn-disabled text-muted{{else}}btn-link{{/if}} page text-decoration-none text-uppercase" href="#" data-url="{{:links.prev}}"{{if !links.prev}} style="cursor:not-allowed"{{/if}}>
      <svg class="icon"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-chevron-left"></use></svg>
      {% endverbatim %}{{ 'previous' | trans }}{% verbatim %}
  </a>
{{/if}}
  <span>{{:meta.count}} {{if meta.count == 1}}{% endverbatim %}{{ 'result' | trans }}{% verbatim %}{{else}}{% endverbatim %}{{ 'results' | trans }}{% verbatim %}{{/if}} -  {% endverbatim %}{{ 'page' | trans }}{% verbatim %} {{:currentPage}}  {% endverbatim %}{{ 'of' | trans }}{% verbatim %} {{:pageCount}}</span>
{{if links.next}}
  <a class="btn {{if !links.next}}btn-disabled text-muted{{else}}btn-link{{/if}} page text-decoration-none text-uppercase" href="#" data-url="{{:links.next}}"{{if !links.next}} style="cursor:not-allowed"{{/if}}>
      {% endverbatim %}{{ 'following' | trans }}{% verbatim %}
      <svg class="icon"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-chevron-right"></use></svg>
  </a>
{{/if}}
</div>


</script>
{% endverbatim %}
<script>
  function toggle(source) {
    const sourceElm = 'selectall-'+source
    const sourceSelectorsElm = "[data-function='"+source+"']";
    let checkboxeAll = document.getElementById(sourceElm);
    let checkboxes = document.querySelectorAll(sourceSelectorsElm);
    for(var i=0, n=checkboxes.length;i<n;i++) {
      checkboxes[i].checked = !checkboxeAll.checked;
      checkboxes[i].dispatchEvent(new Event('change'));
    }
  }

</script>
